module Apscanner
  module Loggable
    def logger
      @logger ||= default_logger
    end

    def logger=(logger)
      @logger = logger
    end

    def default_logger
      logger = Logger.new(STDOUT)
      logger.level = Logger::INFO
      logger
    end
  end
end
