module Apscanner
  class Scanner
    def initialize(sensors_json)
      @sensors = sensors_json.map { |s| Sensor.new(s) }
    end
    
    def run
      @sensors.each do |sensor|
        sensor.scan
        yield(sensor) if block_given?
      end
    end
  end
end
