module Apscanner
  class AccessPoint
    attr_reader :name, :mac_address, :clients

    def initialize(options = {})
      @name = options[:name]
      @clients = options[:clients]
      @mac_address = options[:mac_address]
    end

    def to_h
      instance_variables.map do |var|
        [var.to_s.delete('@').to_sym, instance_variable_get(var)]
      end.to_h
    end
  end
end